# Class GeometryServiceError

An error that is thrown when a geometry service operation fails.

#### Hierarchy

- Error
  - GeometryServiceError

#####
Index

### Constructors

constructor

### Properties

error

##
Constructors

### constructor

- new GeometryServiceError(error, message?, ...args): GeometryServiceError

- Initializes a new instance of the GeometryServiceError class.

  #### Parameters

  - error: Error

    The original error.

  - `Optional` message: string

    An optional error message.

  - `Rest`...args: unknown[]

    Values for placeholders in the error message.

  #### Returns GeometryServiceError

  Overrides Error.constructor

##
Properties

### `Readonly` error

error: Error

The original error.